Subject: Re: [ppsp] I-D Action: draft-ietf-ppsp-peer-protocol-02.txt

From: Arno Bakker <[email-masked]>
Date: Wed, 25 Jul 2012 13:39:43 +0200

Hi Karl

thanks for the thorough read.

On 22/07/2012 20:54, Karl Knutsson wrote:
>
> 1) Section 8.
>   I think it would be a good idea to add an End Option similar to rfc2132 to
>   make it easier to tell where the Handshake message ends and new messages
>   start.
>

Yes, will be added in -03.

> 2) Section 9.1.4
>   The text and the on the wire formats include the Version message from -01.
>   At to moment how Handshake options are sent isn't described anywhere in the
>   document.

You are right, I wanted to wait for people's feedback before adjusting 
the binary notation.

> 3) On the wire format for "MAY explicit close..." should start with
>   receiver's channel id.
>

Yes. Will be fixed in -03.

> 4) Section 9.1.6
>   Text mention a 64-bit microsecond time stamp but on wire format only
>   shows a 32 bit time stamp value.

Well spotted. We are currently looking at the latest LEDBAT spec and 
where and what size timers are needed.

CU,
     Arno